/*                      QBCC Project

This source file is licensed under the GNU Public Licence which should be 
included with the distribution of this source.

*/
// Function Routines

#ifndef __FUNCTION_H__
#define __FUNCTION_H__


// Function Prototypes
void TranslateFUNCTION(char *retstr,char *name);
void TranslateFUNCTION_args(char *retstr);
int TranslateQBFUNC(char *retstr,char *name);


// 'Special' Qbasic Functions
void Function_PRINT(char *retstr);										// PRINT
void Function_OPEN(char *retstr);										// OPEN
void Function_LINE(char *retstr);										// LINE
void Function_LINEINPUT(char *retstr);									// LINE INPUT
void Function_PSET(char *retstr);										// PSET
void Function_PUT(char *retstr);										// PUT
void Function_FPUT(char *retstr);										// PUT	(file)
void Function_GET(char *retstr);										// GET
void Function_FGET(char *retstr);										// GET	(file)
void Function_OUT(char *retstr);										// OUT
void Function_WAIT(char *retstr);										// WAIT
void Function_INP(char *retstr);										// INP
void Function_INPUT(char *retstr);										// INPUT
void Function_STRINPUT(char *retstr);									// INPUT$
void Function_LEN(char *retstr);										// LEN
void Function_CLOSE(char *retstr);

#endif  //  __FUNCTION_H__